Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Class JemmyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JemmyInputException, JSpinnerOperator.SpinnerModelException, RegExComparator.RegExParsingException, TestCompletedException, TimeoutExpiredException, UnsupportedOperatorException

public class JemmyException
extends java.lang.RuntimeException

Parent of all Jemmy exceptions. Exception can be throught from inside jemmy methods, if some exception occurs from code invoked from jemmy.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Constructor Summary
`JemmyException(java.lang.String description)` Constructor.
`JemmyException(java.lang.String description, java.lang.Object object)` Constructor.
`JemmyException(java.lang.String description, java.lang.Throwable innerException)` Constructor.
`JemmyException(java.lang.String description, java.lang.Throwable innerException, java.lang.Object object)` Constructor.

Method Summary
`java.lang.Exception` | `getInnerException()` Deprecated. Use getInnerThrowable()
`java.lang.Throwable` | `getInnerThrowable()` Returns inner throwable.
`java.lang.Object` | `getObject()` Returns "object" constructor parameter.
`void` | `printStackTrace()` Prints stack trace into System.out.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints stack trace.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints stack trace.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JemmyException

    public JemmyException(java.lang.String description)

  Constructor.
  Parameters:
    `description` - An exception description.

### JemmyException

    public JemmyException(java.lang.String description,
                          java.lang.Throwable innerException)

  Constructor.
  Parameters:
    `description` - An exception description.
    `innerException` - Exception from code invoked from jemmy.

### JemmyException

    public JemmyException(java.lang.String description,
                          java.lang.Object object)

  Constructor.
  Parameters:
    `description` - An exception description.
    `object` - Object regarding which exception is thrown.

### JemmyException

    public JemmyException(java.lang.String description,
                          java.lang.Throwable innerException,
                          java.lang.Object object)

  Constructor.
  Parameters:
    `description` - An exception description.
    `innerException` - Exception from code invoked from jemmy.
    `object` - Object regarding which exception is thrown.

Method Detail

### getObject

    public java.lang.Object getObject()

  Returns "object" constructor parameter.
  Returns:
    the Object value associated with the exception.

### getInnerException

    public java.lang.Exception getInnerException()

  Deprecated. Use getInnerThrowable()

  Returns inner exception.
  Returns:
    An inner exception.

### getInnerThrowable

    public java.lang.Throwable getInnerThrowable()

  Returns inner throwable.
  Returns:
    An inner throwable.

### printStackTrace

    public void printStackTrace()

  Prints stack trace into System.out.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints stack trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - PrintStream to print stack trace into.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints stack trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - PrintWriter to print stack trace into.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD